середа, листопада 25, 2009

Драйвер ATI для Ubuntu.

После обновления Ubuntu до версии 9.10 и установки новой видеокарты ATI, возникла проблема с установкой драйвера для этой карты. Насколько я знаю AMD почему то не выпускает драйвера видеокарт для Ubuntu. Пришлось искать решение, с которым я и хочу здесь поделится.

Ладно, теперь перейдем собственно к процедуре установки драйвера:

  1. Скачиваем скрипт установки отсюда.
  2. В терминале вводим команду: sudo sh ./ati-driver-installer-9-7-x86.x86_64.run. Этим мы запустим скрипт установки.
  3. Ставим галочку на Install Driver... и жмем Continue.
  4. Принимаем соглашение лицензии.
  5. В следующем окне выбираем Automatic.
  6. В последнем окне жмем Exit.
  7. Далее в терминале надо ввести команду: sudo /usr/bin/aticonfig --initial.
  8. Перезагрузка.

После перезагрузки системы радуемся успешно установленому драйверу. На сегодня все.

Надеюсь что эта небольшая статья была вам полезна.

11 коментарі:

Анонім сказав...

Здравствуйте.
Делаю все так как описано.Скачал файл по ссылке,но при вводе команды
sudo sh ./ati-driver-installer-10-2-x86.x86_64.run

пишет следующее:sh: Can't open ./ati-driver-installer-10-2-x86.x86_64.run.

помогите решить проблему)

CYA-ST сказав...

Нужно перейти в ту папку, где находится файл ati-driver-installer-10-2-x86.x86_64.run

Анонім сказав...

Может вопрос глупый,пользуюсь Убунтой максимум неделю,но как это сделать?нужно вводить еще какую то команду?

Анонім сказав...

при переносе скачанного файла в терминал происходит следующее:
pavel@pavel-laptop:~$ '/home/pavel/Документы/Скачка/ati-driver-installer-10-2-x86.x86_64.run'
Created directory fglrx-install.PZYiXp
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.702...(много точек)...
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================
Detected configuration:
Architecture: i686 (32-bit)
X Server: X.Org 7.4 and later releases

После этого появляется окошко с надписью:You need to run this installer as the super-user(Вам необходимо запустить эту установку как супер-пользователь)

Анонім сказав...

Я вас уже наверное замучил,но сам все таки додумался,все установилось и все прекрасно,НО после ввода команды:
root@pavel-laptop:~# sudo /usr/bin/aticonfig --initial
пишет:/usr/bin/aticonfig: No supported adapters detected

все верно?

(за надоедливость извиняюсь,но спросить больше некого)

CYA-ST сказав...

Попробуйте в администрировании-драйверы устройств активировать драйвер. После этого aticonfig.

CYA-ST сказав...

Еще вот это прочитайте: http://support.amd.com/us/gpudownload/linux/Legacy/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.9&lang=English

Fisherman сказав...

К сожалению, как и у Павла, после инсталляции, при попытке инициализации sudo /usr/bin/aticonfig --initial выдает - usr/bin/aticonfig: No supported adapters detected.
Система-Администрирование-Драйверы устройств выдает - Проприетарные драйверы устройств не используются в вашей системе. Мануалы на АМД курил. Что дальше делать не представляю :(
Хелп ми, плииз.

Система - Ubuntu 9.10
Видео - AGP ATI 9600Pro

CYA-ST сказав...

Старую версию ставили? http://support.amd.com/us/gpudownload/linux/Legacy/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.9&lang=English

Fisherman сказав...

старая версия (9,3 что по ссылке) валится по ошибке
Error: ./default_policy.sh does not support version
default:v2:i686:lib::none:2.6.31-20-generic; make sure that the version is being
correctly set by --iscurrentdistro

новая версия 10,2 инсталлируется но не проходит инициализацию.

видеокарточку менять не охота (зачем старье на старье)
опять же откатываться на масдай тоже неохота :)

CYA-ST сказав...

Я вам посоветую задать этот вопрос на форуме Ubuntu. Может кто нибудь сталкивался именно с вашей проблемой.